# Digest (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.transport.digest
Interface Digest

All Known Implementing Classes:
  BaseDigest, MD5, SHA1

    public interface Digest

Interface used to compute digests, based on algorithms such as MD5 or SHA1.

Method Summary
`byte[]` `digest()`
`int` `getBlockSize()`
`void` `init()`
`void` `update(byte[] foo)`
`void` `update(byte[] foo, int start, int len)`

Method Detail

### digest

    byte[] digest()

### getBlockSize

    int getBlockSize()

### init

    void init()

### update

    void update(byte[] foo)

### update

    void update(byte[] foo,
                int start,
                int len)

Copyright © 2009-2011. All Rights Reserved.